Package: org.codehaus.groovy.ant

## [Java] Class VerifyClass

- org.codehaus.groovy.ant.VerifyClass

-     public class VerifyClass
      extends MatchingTask

  Verify Class files. This task can take the following arguments:

  - dir
  When this task executes, it will recursively scan the dir and look for class files to verify.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `VerifyClass ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `execute()`
    `` | `public void` | `setDir(String dir)`
    `` | `public void` | `setVerbose(boolean v)`
    `` | `public void` | `visitEnd()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, addDate, XsetItems, XsetIgnore, setIncludes, setExcludes, hasSelectors, setFollowSymlinks, setProject, getSelectors, addSelector, createExclude, createIncludesFile, createExcludesFile, setIncludesfile, createInclude, setExcludesfile, addNone, addMajority, addSize, selectorCount, appendSelector, createPatternSet, setDefaultexcludes, addAnd, addNot, selectorElements, addOr, addContainsRegexp, addDepend, addDepth, addModified, addPresent, addFilename, addContains, addCustom, addDifferent, log, log, log, log, init, execute, setTaskType, setOwningTarget, setTaskName, getOwningTarget, getTaskType, maybeConfigure, reconfigure, perform, setRuntimeConfigurableWrapper, getRuntimeConfigurableWrapper, getTaskName, bindToOwner, clone, getLocation, getDescription, getProject, setDescription, setLocation, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public VerifyClass()

  - ### Method Detail

    - #### public void execute()

    - #### public void setDir(String dir)

    - #### public void setVerbose(boolean v)

    - #### @Override public void visitEnd()